Hide

나는 현재 맥북(OS X)를 사용하고 있다. 2018년형을 사용하고 있는데 python3의 버전이 기본적으로 3.7이다. 그런데 개발하다가 Celery라는 라이브러리를 사용해야하는 경우가 왔고, 해당 라이브러리는 3.6까지만 지원을 한다고 나와있었다. 따라서 3.6으로의 다운그레이드를 진행했었는데 몇일 전 3.7을 지원한다는 소식을 듣고 python을 지우고 설치하는 과정에서 무언가 깨졌는지 pip install을 실행하면 아래와 같은 오류가 발생했다.


pip install Missing 'Version:' header and/or METADATA file error


많은 삽질을 거듭한 결과 방법을 찾았다. 먼저 아래의 명령어를 입력한다.


python -m site


그러면 위와 같이 여러가지 경로가 나올텐데 아래쪽에 있는 site-packages 디렉토리로 들어가야한다. 나는 homebrew를 통해 설치했으므로 /usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages 경로였다.


해당 경로로 들어가서 아래의 명령어로 METADATA를 검색해본다.


find . -name METADATA


아마 많은 폴더가 나올텐데 폴더명이 -로 시작하는 폴더가 존재할 것이다. 해당 폴더를 삭제하고 다시 pip install등의 명령어를 실행해보면 정상적으로 동작함을 알 수 있다.



다른 사람들이 많이 읽은 글

댓글 보기